<script>
import status from "@src/constantes/job-offer-status";
import contracts from "@src/constantes/job-offer-contracts";
import Multiselect from "vue-multiselect";
import BackBtn from "@components/utils/back-btn";

export default {
  name: "JobOfferDetail",
  components: {  Multiselect, BackBtn },
  props : {
    jobOffer : null,
  },
  data() {
    return {
      status : status,
      contracts : contracts,
      expectations : [],
      selected_expectations : [],
      selected_expectations_id : [],
    }
  },
  mounted() {
    this.getExpectations()
  },
  methods : {
    async getExpectations() {
      this.expectations = await this.$store.dispatch('expectation/all')
      console.log(this.expectations);
    },
    toggleExpectation(expectation) {
      if(this.selected_expectations.includes(expectation)){
        this.jobOffer.expectations = this.jobOffer.expectations.filter( selected_expectation => selected_expectation !== expectation.id )
      }else{
        this.jobOffer.expectations.push(expectation.id);
      }
    },
  }
}
</script>

<template>
  <b-card>
    <b-row>
      <b-col>
        <div>
          <p>Domaines :
            <b v-for="domain in jobOffer.domains">{{ domain.name }}</b>
          </p>
        </div>
        <div>
          <p>Type de contrat : <b>{{ jobOffer.contract === 3 ? 'CDD' : 'CDI'}}</b></p>
        </div>
        <div v-if="jobOffer.contract === 3">
          <p>Durée du CDD : <b>{{ jobOffer.cdd_duration }} mois</b></p>
        </div>
        <div v-if="jobOffer.show_salary">
          <p>Salaire : <b>{{ jobOffer.salary }}€ par an</b></p>
        </div>
        <div>
          <p>Titre de l'annonce : <b>{{ jobOffer.name }}</b></p>
        </div>
        <div>
          <p>Profile recherché : <b>{{ jobOffer.required_profile }}</b></p>
        </div>
        <div>
          <p>Missions : <b>{{ jobOffer.missions }}</b></p>
        </div>
        <div>
          <p>Détail sur le processus d'integration : <b>{{ jobOffer.process_integration }}</b></p>
        </div>
        <div>
          <p>Un mot sur votre future équipe : <b>{{ jobOffer.word_about_futur_manager }}</b></p>
        </div>
        <div>
          <p>Un mot sur votre future manager : <b>{{ jobOffer.word_about_futur_team }}</b></p>
        </div>
      </b-col>
      <b-col>
        <div class="row">
          <div class="col-md-6">
            <p>Relationnel et Avantages :
            <span v-for="expectation in expectations">
              <b v-if="jobOffer.expectations.includes(expectation.id)">{{ expectation.name }}<br></b>
            </span>
            </p>
          </div>
        </div>
        <div>
          <p v-if="jobOffer.active_location">Le localisation géographique n'est pas importante pour ce poste</p>
        </div>
        <div v-if="!jobOffer.active_location" class="row">
          <div class="col-md-6">
            <p>Adresse : <b>{{ jobOffer.address }}</b></p>
          </div>
          <div class="col-md-6">
            <p>Ville : <b>{{ jobOffer.city }}</b></p>
          </div>
        </div>
        <div>
          <p>Compétences requires :
            <span v-for="certification in jobOffer.certifications">
              <b>{{ certification.name }}, </b>
            </span>
          </p>
        </div>
      </b-col>
    </b-row>
    <b-row class="float-right">
      <BackBtn></BackBtn>
    </b-row>
  </b-card>
</template>
